Release Notes CGS 5.8.14

Collax Groupware Suite
02.12.2015

Installation Notes

Update Instructions

To install this update please follow the following steps:

Procedure

  1. It is highly recommended to backup of all server data with the Collax backup system before proceeding. Check that the backup was successful before proceeding with the update (this can be done within the backup information email).
  2. In the administration interface go to System → System Operation → Software → System Update and press Get Package List. This will download the listed update packages. If successful the message Done! will be displayed on the screen.
  3. Click Get Packages to download the update packages.
  4. Click Install. This installs the update. The end of this process is indicated by the message Done!.
  5. A new kernel will now be installed. The system will reboot automatically after installing the update. An appropriate note will be shown if the update process is completed.

New in this Version

Zarafa Groupware: New Version 7.1.14

With this Collax software update the new version 7.1.14 of Zarafa Groupware is going to be installed. Please find details here:

http://download.zarafa.com

GUI: Optimized Job Notification

Status and Notification of changes are performed in the background. Such changes are listed in the web administration interface. With this update optimizations regarding the stability of the webbrowser are beeing implemented. The notification requires less CPU ressources of the webbrowser from now on.

Add-on Software: Improved Patternhandling of Avira Antivir

This update improves the pattern handling of Avira Antivir.

Hardware: Driver Update for the Dialogic Diva ISDN card

This update contains a new kernel with a driver update divas4linux-melware-3.1.6 for the Diva ISDN card.

Issues Fixed in this Version

Security: Internet Domain Name Server Bind

In the source code of the Internet Domain Name Server security holes have been discovered. These holes will be closed within this software update to Bind version 9.9.7.3

Assigned Common Vulnerabilities and Exposures (CVE) numbers:

CVE-2015-5722 CVE-2015-5986

Security: Scripting Language PHP5 and PHP Libraries

In the source code of PHP5 security holes have been discovered. These holes will be closed within this software update to PHP 5.6.14. See PHP 5.6.14 Changelog

Security: Remote Login Program OpenSSH

In the source code of OpenSSH security holes have been discovered. These holes will be closed within this software update to OpenSSH 7.0p1

See OpenSSH Release 7.0